View Issue Details

IDProjectCategoryView StatusLast Update
0000365FreeCADBugpublic2011-10-13 17:45
ReporterunauthenticatedAssigned ToJriegel 
PrioritynormalSeverityminorReproducibilityhave not tried
Status closedResolutionfixed 
Product Versiontrunk 
Target VersionFixed in Version0.12 
Summary0000365: Coincident+ tangent constrain doesn't work well (Sketcher)
DescriptionI've tried join arc and line with two constrains: coincident (point on line and on arc) and tangent. Unfortunately it very often works in wrong way (attached picture).
When I'm trying join arc with two lines it never works well. Additionaly sometimes FreeCAD hangs.

FC 4526
TagsNo tags attached.

Activities

2011-05-28 15:22

 

fcbug.jpg (Attachment missing)

Jriegel

2011-06-24 15:30

administrator   ~0000912

Yea, confirm. A lot work still in Sketcher. Will take a while...

logari81

2011-07-29 08:47

developer   ~0000955

is it better with the new solver? could you try the current svn version?

unauthenticated

2011-07-29 15:25

viewer   ~0000956

Is much better (r4692)! Constrains works without error. But there is another issue. When I try drag point (eg. end of arc) FreeCAD freeze and consume 100% CPU

unauthenticated

2011-07-31 06:38

viewer   ~0000960

It quite strange but drag point problem appears only under Ubuntu (natty+libeigen3-dev from oneric). Under Windows everything works ok.

logari81

2011-07-31 07:41

developer   ~0000961

I am using Ubuntu (lucid) and I cannot confirm the problem. Try a fresh build or the PPA packages.

unauthenticated

2011-07-31 16:12

viewer   ~0000965

the problem also appears under Kubuntu (natty) fresh PPA. Under Windows XP everything works ok.

yorik

2011-10-13 17:45

administrator   ~0001149

changed fixed version to 0.12

Issue History

Date Modified Username Field Change
2011-05-28 15:22 unauthenticated New Issue
2011-05-28 15:22 unauthenticated File Added: fcbug.jpg
2011-06-24 15:29 Jriegel Status new => assigned
2011-06-24 15:29 Jriegel Assigned To => Jriegel
2011-06-24 15:30 Jriegel Note Added: 0000912
2011-07-29 08:47 logari81 Note Added: 0000955
2011-07-29 15:25 unauthenticated Note Added: 0000956
2011-07-31 06:38 unauthenticated Note Added: 0000960
2011-07-31 07:41 logari81 Note Added: 0000961
2011-07-31 16:12 unauthenticated Note Added: 0000965
2011-09-06 07:43 logari81 Status assigned => closed
2011-09-06 07:43 logari81 Resolution open => fixed
2011-09-06 07:43 logari81 Fixed in Version => trunk
2011-10-13 17:45 yorik Status closed => feedback
2011-10-13 17:45 yorik Resolution fixed => reopened
2011-10-13 17:45 yorik Note Added: 0001149
2011-10-13 17:45 yorik Status feedback => closed
2011-10-13 17:45 yorik Resolution reopened => fixed
2011-10-13 17:45 yorik Fixed in Version trunk => 0.12